Subject: Re: [PATCH net-next v2 2/2] net: ethtool: Add support for writing firmware blocks using EPL payload

From: Simon Horman <[email-masked]>
Date: Wed, 11 Sep 2024 08:32:34 +0100

+ Andrew Lunn

On Tue, Sep 10, 2024 at 12:02:17PM +0300, Danielle Ratson wrote:
> In the CMIS specification for pluggable modules, LPL (Local Payload) and
> EPL (Extended Payload) are two types of data payloads used for managing
> various functions and features of the module.
> 
> EPL payloads are used for more complex and extensive management
> functions that require a larger amount of data, so writing firmware
> blocks using EPL is much more efficient.
> 
> Currently, only LPL payload is supported for writing firmware blocks to
> the module.
> 
> Add support for writing firmware block using EPL payload, both to
> support modules that supports only EPL write mechanism, and to optimize
> the flashing process of modules that support LPL and EPL.
> 
> Signed-off-by: Danielle Ratson <[email-masked]>
> Reviewed-by: Petr Machata <[email-masked]>
> ---
> 
> Notes:
>     v2:
>     	* Initialize the variable 'bytes_written' before the first
>     	  iteration.

Hi Danielle,

Thanks for the update. From a doing-what-it-says-on-the-wrapper
perspective, this looks good to me.

Reviewed-by: Simon Horman <[email-masked]>

I do note that there were some questions from Andrew Lunn (CCed) in v1
regarding the size of transfers over the bus. I see that you responded to
that. Thanks! But I do wonder if he has any further comments.

https://lore.kernel.org/all/[email-masked]/

...